import Taro, { Component } from '@tarojs/taro';
import ListView from '@components/ListView'
import { connect } from '@tarojs/redux'
import './index.scss'
// import { getConsulantVisitRecord} from '@services/person'
import { savePoint, updatePoint } from '@services/common'
import dayjs from 'dayjs';

@connect(state => state.user)

export default class Person extends Component {
  config = {
    navigationBarTitleText: '我的分享'
  }

  state = {
    recordId: undefined, // 埋点ID
    recordList: [],
    hasMore: true,
    isEmpty: false,
    pageIndex: 1,
  }

  componentWillMount() {

    savePoint({
      event: 'list',
      eventType: 'activity',
      propertyName: '我的分享',
      data: '{}'
    }).then(res => {
      this.setState({
        recordId: res.recordId
      })
      console.log('我的分享')
    })
  }
  componentWillUnmount() {
    const { recordId } = this.state
    recordId && updatePoint(recordId)
  }

  componentDidShow() {
    // Taro.showLoading()
    // this.loadList(1)
  }
  // loadList(pageNumber) {
  //   console.log(this.props, "this.props")
  //   const { userInfo: { person } } = this.props

  //   let payload
  //   if(person.userId){
  //     payload = {
  //       userId: person.userId,
  //       pageNumber,
  //       pageSize: 5
  //     }
  //   }else{
  //    payload = {
  //      userId: Taro.getStorageSync('userId'),
  //      pageNumber,
  //      pageSize: 5
  //    }
  //   }
  //   getConsulantVisitRecord(payload).then(res => {

  //     const { records, list, total, current, pages } = res || {}
  //     const _list = records || list || []
  //     const newList = current <= 1 ? _list : this.state.recordList.concat(_list)
  //     this.setState({
  //       recordList: newList,
  //       isEmpty: total == 0 || !res,
  //       hasMore: current < pages,
  //       pageIndex: current >= pages ? pages : current
  //     })
  //     Taro.hideLoading()
  //   })
  // }
  // onScrollToLower = async (fn) => {
  //   const { pageIndex } = this.state;
  //   this.loadList(pageIndex + 1)
  //   fn && fn();
  // }
  // onPullDownRefresh = (rest) => {
  //   // debugger
  //   if (this.refreshing) return
  //   this.refreshing = true
  //   this.loadList(1)
  //   rest && rest()
  //   this.refreshing = false
  // }

  handleItemClick() {
    Taro.navigateTo({
      url: `/pages/person/myShare/accessRecord`
    })
  }

  render() {
    const { isEmpty, hasMore, recordList } = this.state
    return (
      <ListView
        className="wrap"
        needInit
        isEmpty={isEmpty}
        emptyText="暂无我的分享~"
        hasMore={hasMore}
        onPullDownRefresh={fn => this.onPullDownRefresh(fn)}
        onScrollToLower={fn => this.onScrollToLower(fn)}
      >
        <View className='share-page'>
          <View className="share-item" onClick={this.handleItemClick}>
            <Image className="img" src={require('@assets/default-avatar.png')}></Image>
            <View className="name">鱼嘴润府</View>
            <View className="price"> 均价35000元/m² </View>
            <View className="num"> 5人查看了分享 </View>
            <View className="address"> 南京市锦创广场水西门大街2号 </View>
          </View>
        </View>
      </ListView>

    )
  }
}
